# Uses of Enum Class
net.shibboleth.shared.primitive.DeprecationSupport.ObjectType

Packages that use DeprecationSupport.ObjectType
Package
Description
net.shibboleth.shared.primitive
A set of utilities dealing with Java's primitive types.

## Uses of DeprecationSupport.ObjectType in net.shibboleth.shared.primitive

Methods in net.shibboleth.shared.primitive that return DeprecationSupport.ObjectType
Modifier and Type
Method
Description
`static DeprecationSupport.ObjectType`
DeprecationSupport.ObjectType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DeprecationSupport.ObjectType[]`
DeprecationSupport.ObjectType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in net.shibboleth.shared.primitive with parameters of type DeprecationSupport.ObjectType
Modifier and Type
Method
Description
`static void`
DeprecationSupport.`atRisk(DeprecationSupport.ObjectType type, String name, String context)`
Emit an at-risk warning for an object or feature of the system.
`static void`
DeprecationSupport.`atRiskOnce(DeprecationSupport.ObjectType type, String name, String context)`
Emit a deprecation warning for an object or feature of the system but limit to a single warning for the life of the process or until state is cleared.
`static void`
DeprecationSupport.`warn(DeprecationSupport.ObjectType type, String name, String context, String replacement)`
Emit a deprecation warning for an object or feature of the system.
`static void`
DeprecationSupport.`warnOnce(DeprecationSupport.ObjectType type, String name, String context, String replacement)`
Emit a deprecation warning for an object or feature of the system but limit to a single warning for the life of the process or until state is cleared.